psss / rpms / libguestfs

Forked from rpms/libguestfs 5 years ago
Clone

Blame libguestfs-1.0.85-weaken-dependency-on-libntfs-3g.patch

432bebe
From: Richard Jones <rjones@redhat.com>
432bebe
Date: Fri, 12 Mar 2010 15:10:28 +0000 (+0000)
432bebe
Subject: Special case hostfiles handling for libntfs-3g.so
432bebe
X-Git-Url: http://git.annexia.org/?p=libguestfs.git;a=commitdiff_plain;h=599f94c9c14c970dcfd7cec8d6898cd3b46af8ca
432bebe
432bebe
Special case hostfiles handling for libntfs-3g.so
432bebe
432bebe
The ntfs-3g project keeps bumping their soname, and this causes
432bebe
dependency problems for the Fedora package.  The root of the problem
432bebe
is we depend on /lib/libntfs-3g.so.<N>, but if <N> keeps bumping,
432bebe
the dependency keeps breaking.
432bebe
432bebe
This commit changes the hostfiles (and hence dependency) to be on
432bebe
/lib/libntfs-3g.so.* instead.  The downside to this is we could end
432bebe
up pulling more files into the appliance than are strictly required,
432bebe
but it will fix the Fedora packaging problems being felt by the
432bebe
Fedora maintainer of ntfs-3g.
432bebe
432bebe
---
432bebe
432bebe
diff --git a/appliance/supermin-split.sh.in b/appliance/supermin-split.sh.in
432bebe
index cd29b8a..94990dd 100755
432bebe
--- a/appliance/supermin-split.sh.in
432bebe
+++ b/appliance/supermin-split.sh.in
432bebe
@@ -63,6 +63,7 @@ for path in $(find -not -name fakeroot.log); do
432bebe
     p_ld_so='^ld-[.0-9]+\.so$'
432bebe
     p_libbfd='^libbfd-.*\.so$'
432bebe
     p_libgcc='^libgcc_s-.*\.so\.([0-9]+)$'
432bebe
+    p_libntfs3g='^libntfs-3g\.so\..*$'
432bebe
     p_lib123so='^lib(.*)-[-.0-9]+\.so$'
432bebe
     p_lib123so123='^lib(.*)-[-.0-9]+\.so\.([0-9]+)\.'
432bebe
     p_libso123='^lib(.*)\.so\.([0-9]+)\.'
432bebe
@@ -104,6 +105,11 @@ for path in $(find -not -name fakeroot.log); do
432bebe
     elif [[ "$file" =~ $p_libgcc ]]; then
432bebe
         echo "$dir/libgcc_s-*.so.${BASH_REMATCH[1]}" >&6
432bebe
 
432bebe
+    # Special case for libntfs-3g.so.*
432bebe
+    elif [[ "$file" =~ $p_libntfs3g ]]; then
432bebe
+	[ -n "$libntfs3g_once" ] || echo "$dir/libntfs-3g.so.*" >&6
432bebe
+	libntfs3g_once=1
432bebe
+
432bebe
     # libfoo-1.2.3.so
432bebe
     elif [[ "$file" =~ $p_lib123so ]]; then
432bebe
         echo "$dir/lib${BASH_REMATCH[1]}-*.so" >&6